Bug 275155 - Bookmarks in subfolders don't work
Summary: Bookmarks in subfolders don't work
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: latest git snapshot
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-07 21:39 UTC by Alberto Mattea
Modified: 2011-06-09 00:49 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Quick and dirty patch (888 bytes, patch)
2011-06-07 21:58 UTC, Alberto Mattea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto Mattea 2011-06-07 21:39:52 UTC
Version:           latest git snapshot (using KDE 4.6.3) 
OS:                Linux

In version 0.7.52, clicking on a bookmark in a subfolder causes the menu to disappear, but the corresponfing page is not loaded. A workaround is to right-click on the bookmark and select "open in a new tab". This is a regression from 0.7.50

Reproducible: Always

Steps to Reproduce:
Click on a bookmark in a subfolder

Actual Results:  
The menu closes and nothing happens

Expected Results:  
The corresponding page is loaded

The menu items "new bookmark folder", "open folder bookmarks in tabs" and so on also don't work when they are selected from a subfolder.
Comment 1 Alberto Mattea 2011-06-07 21:47:30 UTC
Bisection leads to:

ffe8734f3a5f821f9e5aecff2cc97502ada74aa1 is the first bad commit
commit ffe8734f3a5f821f9e5aecff2cc97502ada74aa1
Author: Yoann Laissus <yoann.laissus@gmail.com>
Date:   Fri May 27 09:32:21 2011 +0200

    - Bookmark can now be dropped inside folders :
    - Correctly hide a folder menu if there is a click outside

:040000 040000 634ddc98e50614f567e68e22af49d62cb2f5b45a 81254deb295a958770c454147726202aecbe74d1 M      src
Comment 2 Alberto Mattea 2011-06-07 21:58:03 UTC
Created attachment 60762 [details]
Quick and dirty patch
Comment 3 Yoann Laissus 2011-06-09 00:49:54 UTC
Git commit ae5c67f92e8b7acba5ce6db22c7d32d52910e311 by Yoann Laissus.
Committed on 09/06/2011 at 00:46.
Pushed by laissus into branch 'master'.

Don't close Bookmark Toolbar's subfolders on a click
BUG: 275155

M  +5    -6    src/bookmarks/bookmarkstoolbar.cpp     

http://commits.kde.org/rekonq/ae5c67f92e8b7acba5ce6db22c7d32d52910e311